Subject: bug#5080: indic text is not displayed correctly in emacs shell

From: Kenichi Handa <[email-masked]>
Date: Thu, 03 Dec 2009 20:24:47 +0900

In article <[email-masked]>, Praveen A <[email-masked]> writes:
> > (1) was fixed by the trial code I sent.  So, I've just
> > applied that change in lisp/language/indian.el.  Please try
> > again with the latest CVS code.

> Thanks. I will request fedora and debian emacs maintainers to include this.

That's good, thank you.

> > (3) It seems that m17n-db is not fully installed on Fedora 12.
> > Please install it.  Parhaps the package name is:
> > "Multilingualization datafiles for m17n-lib"

> yes. Parag has requested a dependency be added to emacs package.

Good too, thank you.

> > (4) I updated my ttf-freefont package.  FreeMono and
> > FreeSans doesn't contain Malayalam glyphs.  FreeSerif does
> > have the glyphs and mlym OpenType table and thus can render
> > Malayalam correctly with Emacs.  Praveen wrote that gedit
> > can render Malayalam with FreeMono font, but that's
> > unbelievable.  I suspect gedit is using some other fallback
> > font.  I don't know how to check exactly which font gedit is
> > using for each Indic characters.

> yes, FreeMono does not have Malayalam glyphs, It would be a fallback
> font. (Dejavu Sans Mono/FreeMono fallback to Lohit)

> > By the way, to tell Emacs to use a specific font for, for
> > instance, Malayalam, try this:
> >
> > (set-fontset-font t 'malayalam '("FONT_FAMILY_NAME" . "unicode-bmp"))

> It is not working for me. I tried it as is and substituting
> unicode-bmp with Rachana. Both cases it went to Lohit. Is it taking
> this preference from fontconfig?

No, no, you must specify "Rachana" (if it is the font family
name) in place of "FONT_FAMILY_NAME" as this:

(set-fontset-font t 'malayalam '("rachana" . "unicode-bmp"))

I installed rachana font and confirmed that the above code
worked.

---
Kenichi Handa
[email-masked]